- Create Asset Governance
- Get Asset Governance By Asset
- Get Asset Governance By Asset Raw
- Get Asset Governance By Source
- Get Asset Governance
- Get Asset Governance Records
- Update Asset Governance
- Delete Asset Governance
POST /api/v1/governanceCreate a new asset governance recordRequest BodyField descriptions are inferred from the entity model. Which fields are required is not confirmed for this endpoint.string
ID of the asset.
array
Array of domain IDs to link.
array
Array of application IDs to link.
array
Array of data product IDs to link.
array
Array of tag IDs to link.
array
Array of term IDs to link.
array
Array of user IDs that own the object.
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"asset_id": "de895cb6-3810-58a4-937a-f54da5201882",
"domain": [
"4621afc0-0341-5daa-9be9-f08a475d6df1"
],
"application": [],
"product": [],
"tag": [],
"term": [],
"owner": [
"3573f1d4-9b56-5007-b086-b977fe00f6f2"
]
}'
Representative request body. Field names follow the corresponding entity model and values are illustrative; send only the fields you need.
Request body
{
"asset_id": "de895cb6-3810-58a4-937a-f54da5201882",
"domain": [
"4621afc0-0341-5daa-9be9-f08a475d6df1"
],
"application": [],
"product": [],
"tag": [],
"term": [],
"owner": [
"3573f1d4-9b56-5007-b086-b977fe00f6f2"
]
}
Response
{
"success": true,
"message": "Create a new asset governance record",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
GET /api/v1/governance/asset/{assetId}Get consolidated governance data for a specific asset (including children if it’s a parent)Path Parametersstring
required
Example:
3fa85f64-5717-4562-b3fc-2c963f66afa6boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/governance/asset/{assetId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Get consolidated governance data for a specific asset (including children if it's a parent)",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {
"tag": [],
"domain": [],
"product": [],
"application": [],
"term": [],
"owner": [],
"asset_info": {
"asset_id": "9eee124e-655a-5446-b3b3-a1afbc34de4c",
"asset_name": "TXN_COUNT",
"asset_type": "ATTRIBUTE",
"source_id": "f8643a23-3713-517d-a75c-58cfcb7d5ecc",
"source_name": "Sales Dashboard"
},
"total_records": 1
}
}
GET /api/v1/governance/asset/{assetId}/rawGet raw governance records array for a specific asset (including children if it’s a parent)Path Parametersstring
required
Example:
3fa85f64-5717-4562-b3fc-2c963f66afa6boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
string
Example:
"f8643a23-3713-517d-a75c-58cfcb7d5ecc".string
Example:
"9eee124e-655a-5446-b3b3-a1afbc34de4c".string
Example:
"ATTRIBUTE".string
Example:
"TXN_COUNT".string
Example:
"Sales Dashboard".string
string
string
string
object[]
string
string
Example:
"8ddebca5-0247-50a4-923a-ed2516099d70".string
Example:
"2026-09-19T15:12:19.393374Z".string
Example:
"2026-09-20T15:40:11.397744Z".string
string
Example:
"892de25a-54a1-5739-ba50-f45697e10db2".curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/governance/asset/{assetId}/raw" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Get raw governance records array for a specific asset (including children if it's a parent)",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
GET /api/v1/governance/source/{sourceId}Get all governance records for a specific sourcePath Parametersstring
required
Example:
3fa85f64-5717-4562-b3fc-2c963f66afa6boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/governance/source/{sourceId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Get all governance records for a specific source",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
GET /api/v1/governance/{assetGovernanceId}Get an asset governance record by IDPath Parametersstring
required
ID of the asset governance record.
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
string
string
Example:
"31117556-c910-587a-97f5-9a5999fd0a5d".string
string
string
string
string
string
string
string
string
Example:
"c4b486ce-b81e-58d6-8e83-e7a6e8e42fea".string
Example:
"2026-08-19T13:31:47.957255Z".string
Example:
"2026-08-19T13:31:47.957256Z".string
Example:
"491be29a-189c-5539-b9c2-6f4f7dc7972a".string
Example:
"491be29a-189c-5539-b9c2-6f4f7dc7972a".curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/governance/{assetGovernanceId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Get an asset governance record by ID",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {
"source_id": null,
"asset_id": "31117556-c910-587a-97f5-9a5999fd0a5d",
"asset_type": null,
"asset_name": null,
"source_name": null,
"domain": [
{
"id": "77fa00c2-4416-50cf-828f-792fea312d4c",
"label": "Sales Domain"
}
],
"application": null,
"product": null,
"tag": null,
"term": null,
"owner": null,
"id": "c4b486ce-b81e-58d6-8e83-e7a6e8e42fea",
"created_at": "2026-08-19T13:31:47.957255Z",
"modified_at": "2026-08-19T13:31:47.957256Z",
"created_by": "491be29a-189c-5539-b9c2-6f4f7dc7972a",
"modified_by": "491be29a-189c-5539-b9c2-6f4f7dc7972a"
}
}
POST /api/v1/governance/listGet asset governance records with optional filteringRequest Bodyobject[]
object[]
string
Example:
"".boolean
Example:
false.boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
string
string
string
string
string
string
string
string
string
string
object[]
string
Example:
"4a0c664f-8bc0-54b0-a981-391dc55f9558".string
Example:
"2026-09-20T16:58:28.877559Z".string
Example:
"2026-09-20T18:40:37.501855Z".string
Example:
"892de25a-54a1-5739-ba50-f45697e10db2".string
Example:
"892de25a-54a1-5739-ba50-f45697e10db2".curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/list" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"pagination": {
"page": 1,
"pageSize": 10
},
"sorting": [],
"filters": [],
"search": "",
"export": false
}'
Response
{
"success": true,
"message": "Get asset governance records with optional filtering",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
PUT /api/v1/governance/{assetGovernanceId}Update an asset governance recordRequest BodyField descriptions are inferred from the entity model. Which fields are required is not confirmed for this endpoint.array
Array of domain IDs to link.
array
Array of tag IDs to link.
array
Array of term IDs to link.
array
Array of user IDs that own the object.
string
required
ID of the asset governance record.
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X PUT "https://<your-workspace>.prizmdata.ai/api/v1/governance/{assetGovernanceId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"domain": [
"4621afc0-0341-5daa-9be9-f08a475d6df1"
],
"tag": [],
"term": [],
"owner": [
"3573f1d4-9b56-5007-b086-b977fe00f6f2"
]
}'
Representative request body. Field names follow the corresponding entity model and values are illustrative; send only the fields you need.
Request body
{
"domain": [
"4621afc0-0341-5daa-9be9-f08a475d6df1"
],
"tag": [],
"term": [],
"owner": [
"3573f1d4-9b56-5007-b086-b977fe00f6f2"
]
}
Response
{
"success": true,
"message": "Update an asset governance record",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
DELETE /api/v1/governance/{assetGovernanceId}Delete an asset governance recordPath Parametersstring
required
ID of the asset governance record.
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X DELETE "https://<your-workspace>.prizmdata.ai/api/v1/governance/{assetGovernanceId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Delete an asset governance record",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}